<%@ Page Language="c#" Inherits="TopWinCMS.WebUI.Admin.Admin_Index" CodeBehind="Index.aspx.cs"
    EnableViewState="False" %>

<%@ Import Namespace="TopWinCMS.BLL" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
    <title>TopWinCMS后台</title>
    <script language="javascript" type="text/javascript" src="Main.ashx"></script>
    <script language="javascript" type="text/javascript" src="TabBase.js"></script>
    <script language="javascript" type="text/javascript" src="Main.js"></script>
    <script language="javascript" type="text/javascript" src="Menu.js"></script>
    <script language="javascript" type="text/javascript" src="dtree.js"></script>
    <script language="javascript" type="text/javascript" src="../JS/Ajax/Ajax.js"></script>
    <link rel="stylesheet" href="img/dtree.css" type="text/css" />
    <link rel="stylesheet" href="img/style.css" type="text/css" />
    <script language="javascript" type="text/javascript">

        function ClassMenu(classname, o) {
            MenuClear();
            var id;
            switch (classname) {
                case "控制面板":
                    id = MenuHead("系统维护", true);
                    <% 
                    if (RightsCheck.HasRight("O_1")) 
                    {
                    %>
                        itemCommand(id, '关键字过滤', '关键字过滤', 'ControlPanel/WordBlackList.aspx');
                     <% 
                     }
                     %> 
                     <% 
                    if (RightsCheck.HasRight("O_2")) 
                    {
                    %>
                    itemCommand(id, 'IP屏蔽管理', 'IP屏蔽管理', 'ControlPanel/IpBlackList.aspx');
                     <% 
                     }
                     %>
                      <% 
                    if (RightsCheck.HasRight("O_3")) 
                    {
                    %>
                    itemCommand(id, '系统日志', '系统日志', 'ControlPanel/Log.aspx');
                     <% 
                     }
                     %>
                    itemCommand(id, '服务器探针', '服务器探针', 'ControlPanel/ServerProbe.aspx');
                     <% 
                    if (RightsCheck.HasRight("O_4")) 
                    {
                    %>
                    itemCommand(id, '系统空间使用情况', '系统空间使用情况', 'ControlPanel/SystemSpace.aspx');
                    <% 
                     }
                     %>
                     itemCommand(id, '防垃圾策略', '防垃圾策略', 'ControlPanel/DefendPROC.aspx');
                     
                    id = MenuHead("CMS设置", false);
                     <% 
                    if (RightsCheck.HasRight("S_1")) 
                    {
                    %>
                    itemCommand(id, '环境变量设置', '环境变量设置', 'ControlPanel/TopWinCMSSetting.aspx');
                     <% 
                     }
                     %>
                     <% 
                    if (RightsCheck.HasRight("S_2")) 
                    {
                    %>
                    itemCommand(id, '留言本设置', '留言本设置', 'GuestBook/Guestbook_Setting.aspx');
                      <% 
                     }
                     %>
                      <% 
                    if (RightsCheck.HasRight("S_3")) 
                    {
                    %>
                    itemCommand(id, '系统邮件设置', '系统邮件设置', 'ControlPanel/TopWinCMSEmailSetting.aspx');
                     <% 
                     }
                     %>
                      <% 
                    if (RightsCheck.HasRight("S_4")) 
                    {
                    %>
                    itemCommand(id, 'FileWatcher 配置', 'FileWatcher 配置', 'SecurityCenter/FileWatcherConfig.aspx');
                     <% 
                     }
                     %>
                      <% 
                    if (RightsCheck.HasRight("S_5")) 
                    {
                    %>
                    itemCommand(id, '会员设置', '会员设置', 'Member/Member_Setting.aspx');
                     <% 
                     }
                     %>
                      <% 
                    if (RightsCheck.HasRight("S_6")) 
                    {
                    %>
                    itemCommand(id,'API通用整合设置','API通用整合设置','ControlPanel/API.aspx'); 
                    <% 
                     }
                     %>
                      <% 
                    if (RightsCheck.HasRight("S_7")) 
                    {
                    %>
                    itemCommand(id, '页头菜单管理', '页头菜单管理', 'AdminMenu/Menu_Manage.aspx?Action=Head');
                    <% 
                     }
                     %>
                    <% 
                    if (RightsCheck.HasRight("S_8")) 
                    {
                    %>
                    itemCommand(id, '频道设置', '频道设置', 'ContentManage/Channel.aspx');
                    <% 
                     }
                     %>
                     
                    itemCommand(id, '帮助设置', '帮助设置', 'ControlPanel/Help.aspx');
                    itemCommand(id, '地区管理', '地区管理', 'ControlPanel/Area.aspx');
                              
                    
                     
                    id = MenuHead("个人偏好设置", false);
                    itemCommand(id, '默认菜单设置', '默认菜单设置', 'AdminMenu/Menu_Manage.aspx');
                    //itemCommand(id,'起始页设置','起始页设置','#'); 
                    //itemCommand(id,'选项卡设置','选项卡设置','ControlPanel/Preference/TabSetting.aspx'); 

                    break;

                case "内容管理":

                      BindModelMenu();
 
                    break;
 
                case "子系统":
                    id = MenuHead("附属模块", true);
                    <% 
                    if (RightsCheck.HasRight("P_1") ) 
                    {
                    %>
                    itemCommand(id, '留言本管理', '留言本管理', 'GuestBook/Guestbook_Manage.aspx');
                    <% 
                     }
                    if (RightsCheck.HasRight("P_2") ) 
                    {
                     %>
                    itemCommand(id, '资源管理器', '资源管理器', 'Explorer/ServerExplorer.aspx');
                    itemCommand(id, '上传', '上传', 'Explorer/FilesUpload.aspx');                    
                     <% 
                     }
                    if (RightsCheck.HasRight("P_3") ) 
                    {
                     %>
                    itemCommand(id, '投票管理', '投票管理', 'Vote/Vote.aspx');
                    <% 
                     }
                    if (RightsCheck.HasRight("P_4") ) 
                    {
                     %>
                    itemCommand(id, '公告管理', '公告管理', 'Other/Announce.aspx');
                    <% 
                     }
                    if (RightsCheck.HasRight("P_5") ) 
                    {
                     %>
                    //itemCommand(id, '内容关键字', '内容关键字', '#');
                    <% 
                     }
                    if (RightsCheck.HasRight("F_1") || RightsCheck.HasRight("F_2")) 
                    {
                    %>
                    id = MenuHead("友情链接", true);
                    <% 
                    if (RightsCheck.HasRight("F_1")) 
                    {
                    %>
                    itemCommand(id, '友情链接管理', '友情链接管理', 'FriendLink/FriendLink.aspx');
                    <%
                    }
                    if (RightsCheck.HasRight("F_2")) 
                    {
                    %>
                    itemCommand(id, '友情链接检查', '友情链接检查', 'FriendLink/FriendLinkCheck.aspx');
                    <%
                    }
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("A_1") || RightsCheck.HasRight("A_2") || RightsCheck.HasRight("A_3") || RightsCheck.HasRight("A_4") || RightsCheck.HasRight("A_5")) 
                    {
                    %>
                    id = MenuHead("广告管理", true);
                     <%
                    if (RightsCheck.HasRight("A_1")) 
                    {
                    %>
                    itemCommand(id, '添加广告', '添加广告', 'CMSGG/Ads_Add.aspx');
                    <%
                    }
                    %>
                    itemCommand(id, '正常广告', '正常广告', 'CMSGG/Ads_List.aspx');
                    itemCommand(id, '点击最高', '点击最高', 'CMSGG/Ads_List.aspx?Action=MaxClick');
                    itemCommand(id, '点击最低', '点击最低', 'CMSGG/Ads_List.aspx?Action=MinClick');
                    itemCommand(id, '暂停列表', '暂停列表', 'CMSGG/Ads_List.aspx?Action=Stop');
                    itemCommand(id, '失效列表', '失效列表', 'CMSGG/Ads_List.aspx?Action=Invalidation');
                    <%
                    } 
                    %>
                    break;

                case "内容发布":
                    <%
                    if (RightsCheck.HasRight("R_1") || RightsCheck.HasRight("R_2") || RightsCheck.HasRight("R_3")) 
                    {
                    %>
                    MakeHtml();
                    <%
                    } 
                    %>
                    break;

                case "模板标签":
                    <%
                    if (RightsCheck.HasRight("L_1") || RightsCheck.HasRight("L_2") || RightsCheck.HasRight("L_3")) 
                    {
                    %>
                    id = MenuHead("标签管理");
                    //itemCommand(id,'系统函数标签','系统函数标签','Template/CMSTabSettingTool.aspx');
                    <%
                    if (RightsCheck.HasRight("L_1")) 
                    {
                    %>
                    itemCommand(id, '超级标签', '超级标签', 'UDT/UDT_Add.aspx?Type=0');
                    itemCommand(id, 'JS调用标签', 'JS调用标签', 'UDT/UDT_Add.aspx?Type=2');
                    <%
                    } 
                    %>
                    itemCommand(id, '静态JS标签', '静态JS标签', 'UDT/UDT_JS.aspx');
                    itemCommand(id, '标签管理', '标签管理', 'UDT/UDT_Manage.aspx');
                    <%
                    } 
                    %>
<%
                    if (RightsCheck.HasRight("T_1") || RightsCheck.HasRight("T_2") || RightsCheck.HasRight("T_3") || RightsCheck.HasRight("T_4") ) 
                    {
                    %>
                    id = MenuHead("模板管理");
                    itemCommand(id, '导入模板集', '导入模板集', 'Template/HtmlTemplate_Up.aspx');
                    itemCommand(id, '添加模板集', '添加模板集', 'Template/HtmlTemplate_Add.aspx');
                    itemCommand(id, '模板集管理', '模板集管理', 'Template/HtmlTemplateList.aspx');
                    itemCommand(id, '模板管理', '模板管理', 'Template/Template.aspx');
                    <%
                    } 
                    %>
                    break;
                case "任务调度":
                    <%
                    if (RightsCheck.HasRight("TA_1") || RightsCheck.HasRight("TA_2")) 
                    {
                    %>
                    <%
                    if (RightsCheck.HasRight("TA_1")) 
                    {
                    %>  
                    <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("TA_2")) 
                    {
                    %> 
                    id = MenuHead("自动维护任务");
                    itemCommand(id, '添加任务', '添加任务', 'Task/Task_Add.aspx');
                    itemCommand(id, '任务管理', '任务管理', 'Task/Task_Manage.aspx');
                    itemCommand(id, '任务设置', '任务设置', 'Task/Task_Setting.aspx');                    
                    <%
                    } 
                    %>
                    <%
                    } 
                    %>
                    break;

                case "安全中心":
                    <%
                    if (RightsCheck.HasRight("SA_1") || RightsCheck.HasRight("SA_2") || RightsCheck.HasRight("SA_3") || RightsCheck.HasRight("SA_4") ) 
                    {
                    %>
                    id = MenuHead("系统日志");
                    <%
                    if (RightsCheck.HasRight("SA_1")) 
                    {
                    %>
                    itemCommand(id, '前台错误日志', '前台错误日志', 'SecurityCenter/ClientErr.aspx');
                     <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("SA_2"))
                    {
                    %>
                    itemCommand(id, '管理员登录日志', '管理员登录日志', 'SecurityCenter/AdminLoginDiary.aspx');
                     <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("SA_3"))
                    {
                    %>
                    itemCommand(id, '文件扫描日志', '文件扫描日志', 'SecurityCenter/FileDiary.aspx');
                     <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("SA_4"))
                    {
                    %>
                    itemCommand(id, '实时监控引擎日志', '实时监控引擎日志', 'SecurityCenter/ScDiary.aspx');
                     <%
                    } 
                    %>
                    <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("SA_4"))
                    {
                    %>
                    id = MenuHead("FileWatcher");
                    itemCommand(id, 'FileWatcher 配置', 'FileWatcher 配置', 'SecurityCenter/FileWatcherConfig.aspx');
                    itemCommand(id, '全站扫描', '全站扫描', 'SecurityCenter/FileScan.aspx');
                    itemCommand(id, '关于FileWatcher', '关于FileWatcher', 'SecurityCenter/AboutFileWatcher.aspx');
                    <%
                    } 
                    %>
                    break;
                case "用户管理":
                    <%
                    if (RightsCheck.HasRight("MA_1") || RightsCheck.HasRight("MA_2") || RightsCheck.HasRight("MA_3") || RightsCheck.HasRight("MA_4") ) 
                    {
                    %>
                    id = MenuHead("管理员");
                    <%
                    if (RightsCheck.HasRight("MA_2"))
                    {
                    %>
                    itemCommand(id, '添加管理员', '添加管理员', 'Admin/Admin.aspx?Action=Add');
                    <%
                    } 
                    %>
                    itemCommand(id, '管理员管理', '管理员管理', 'Admin/Admin.aspx');
                    <%
                    if (RightsCheck.HasRight("MA_1"))
                    {
                    %>
                    itemCommand(id, '角色与权限', '角色与权限', 'Admin/Admin_Role.aspx');
                    itemCommand(id, '添加角色', '添加角色', 'Admin/Admin_Role.aspx?Action=Add');                    
                    <%
                    } 
                    %>
                    <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("MM_1") || RightsCheck.HasRight("MM_2") || RightsCheck.HasRight("MM_3") || RightsCheck.HasRight("MM_4") || RightsCheck.HasRight("MM_5")) 
                    {
                    %>
                    id = MenuHead("会员管理");
                    itemCommand(id, '会员管理', '会员管理', 'Member/Member.aspx');
                    itemCommand(id, '短消息管理', '短消息管理', 'Member/Message.aspx');
                    <%
                    if (RightsCheck.HasRight("MM_1"))
                    {
                    %>
                    itemCommand(id, '会员角色', '会员角色', 'Member/Member_Role.aspx');
                    itemCommand(id, '添加角色', '添加角色', 'Member/Member_Role.aspx?Action=Add');
                    <%
                    } 
                    %>
                    <%
                    if (RightsCheck.HasRight("MM_5"))
                    {
                    %>
                    itemCommand(id, '扣点数', '扣点数', 'Member/Business.aspx?Action=XiaoFei');
                    itemCommand(id, '汇款确认', '汇款确认', 'Member/Business.aspx?Action=HuiKuan');
                    <%
                    } 
                    %>
                    <%
                    } 
                    %>
                    break;

                case "数据库管理":
                    id = MenuHead("数据库管理");
                    <%
                    if (RightsCheck.HasRight("D_1"))
                    {
                    %>
                    itemCommand(id, '备份数据库', '备份数据库', 'DataBase/Access.aspx?Action=Backup');
                    <%
                    } 
                    %> 
                    <%
                    if (RightsCheck.HasRight("D_2"))
                    {
                    %>                   
                    itemCommand(id, '还原数据库', '还原数据库', 'DataBase/Access.aspx?Action=Restore');
                    <%
                    } 
                    %> 
                    <%
                    if (RightsCheck.HasRight("D_3"))
                    {
                    %>                 
                    itemCommand(id, '压缩数据库', '压缩数据库', 'DataBase/Access.aspx?Action=Compact');
<%
                    } 
                    %> 
                    <%
                    if (RightsCheck.HasRight("D_4"))
                    {
                    %>
                    itemCommand(id, '执行SQL代码', '执行SQL代码', 'DataBase/ExecuteSQL.aspx');
                    <%
                    } 
                    %> 
                    <%
                    if (RightsCheck.HasRight("D_5"))
                    {
                    %>
                    itemCommand(id, '批量替换', '批量替换', 'DataBase/Replace.aspx');
                    <%
                    } 
                    %>

                    break;

                case "访问统计"://主菜单的权限可以控制了
                    id = MenuHead("访问统计");
                    itemCommand(id, '访问统计概况', '访问统计概况', 'Counter/Counter_Main.aspx');
                    itemCommand(id, '详细记录', '详细记录', 'Counter/Counter_All.aspx');
                    itemCommand(id, '月访问统计', '月访问统计', 'Counter/Counter_Month.aspx');
                    itemCommand(id, '日访问统计', '日访问统计', 'Counter/Counter_Day.aspx');
                    itemCommand(id, '小时访问统计', '小时访问统计', 'Counter/Counter_Hour.aspx');
                    itemCommand(id, '地区统计', '地区统计', 'Counter/Counter_where.aspx');
                    itemCommand(id, '来路访问统计', '来路访问统计', 'Counter/Counter_Come.aspx');
                    itemCommand(id, '被访问页面统计', '被访问页面统计', 'Counter/Counter_Page.aspx');

                    break;

                case "关于":
                    alert('TopWinCMS');
                    break;
            }

            if (document.getElementById("current") != null) {
                document.getElementById("current").id = "";
            }
            if (o.parentNode)
                o.parentNode.id = "current";

            return false;
        }
    </script>
    <style type="text/css">
        Body
        {
            margin: 0px;
        }
    </style>
</head>
<body>
    <div class="content">
        <div class="header">
            <div class="sf_left">
            </div>
            <div class="sf_right">
                <div class="main">
                    <div class="div2">
                    </div>
                    <div class="div3">
                        您好！<%= TopWinCMS.BLL.AdminLoginInfo.UserName%>，欢迎使用TopWinCMS V6</div>
                    <div class="div4">
                    </div>
                    <div style="float: right">
                        <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl="~/" Target="_blank" EnableViewState="false">网站首页</asp:HyperLink>
                        <asp:HyperLink ID="HyperLink2" runat="server" Target="_blank" EnableViewState="false">修改密码</asp:HyperLink>
                        <a href="http://bbs.TopWinCMS.com" target="_blank">拓文论坛</a><br />
                        <a href="#" onclick="RefurbishTemplates();return false;">重建缓存</a> <a href="Logout.aspx"
                            target="_parent">注销登录</a> <a href="javascript:window.showModalDialog('about.aspx','Win','dialogWidth:500px;dialogHeight:250px;help:no;scroll:no;status:no');">
                                关于我们</a>
                    </div>
                </div>
            </div>
            <div id="nav">
                <ul id="navlist" runat="server">
                    <li><a href="#" onclick="return ClassMenu('软件中心',this);">软件中心</a></li>
                    <li><a href="#" onclick="return ClassMenu('文章中心',this);">文章中心</a></li>
                    <li><a href="#" onclick="return ClassMenu('网站管理',this);">网站管理</a></li>
                    <li><a href="#" onclick="return ClassMenu('安全中心',this);">安全中心</a></li>
                    <li><a href="#" onclick="return ClassMenu('用户管理',this);">用户管理</a></li>
                    <li><a href="#" onclick="return ClassMenu('广告管理',this);">广告管理</a></li>
                    <li><a href="#" onclick="return ClassMenu('系统维护',this);">系统维护</a></li>
                    <li><a href="#" onclick="return ClassMenu('数据库管理',this);">数 据 库</a></li>
                    <li><a href="#" onclick="return ClassMenu('访问统计',this);">访问统计</a></li>
                </ul>
            </div>
        </div>
        <div id="Main_Content">
            <div id="ContentMenu" runat="server">
                <div class="divPanel_title">
                    <div class="titleDiv1">
                        &nbsp;</div>
                    <div class="titleDiv3">
                        默认导航</div>
                    <div class="titleDiv2">
                        &nbsp;</div>
                </div>
                <div class="divPanel_Content">
                    <ul id="MenuItem">
                        <li title="baidu">TopWinCMS</li>
                    </ul>
                </div>
            </div>
            <div id="TabContent">
                <div>
                    <ul id="TabPages">
                    </ul>
                    <div id="TabPageContent" style="width: 100%;">
                    </div>
                </div>
            </div>
        </div>
        <form id="form1" runat="server">
        </form>
        <div class="footer">
            <p>
                <asp:Literal ID="Literal1" runat="server"></asp:Literal>
                <a href="http://www.TopWinCMS.com" target="_blank">官方链接</a><br />
                TopWinCMS&copy; Copyright 2005-2010 TopWinCMS 版权所有</p>
        </div>
    </div>
</body>
</html>
